summaryrefslogtreecommitdiff
path: root/.config/calcurse/hooks/post-save
diff options
context:
space:
mode:
Diffstat (limited to '.config/calcurse/hooks/post-save')
-rwxr-xr-x.config/calcurse/hooks/post-save10
1 files changed, 10 insertions, 0 deletions
diff --git a/.config/calcurse/hooks/post-save b/.config/calcurse/hooks/post-save
new file mode 100755
index 0000000..42d5859
--- /dev/null
+++ b/.config/calcurse/hooks/post-save
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+cd "$HOME/.local/share/calcurse" >/dev/null 2>&1 || return
+if [ -d .git ] && command -v git >/dev/null; then
+ git add apts todo
+ if ! git diff-index --quiet --cached HEAD; then
+ git commit -m "Automatic commit by the post-save hook"
+ fi
+ git push || true
+fi